# Retrieve a refund Retrieves the refund with the given ID. Endpoint: GET /refunds/{refund_id} Version: 2025-11-12 Security: bearerAuth ## Query parameters: - `fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, amount, refund_date, external, gateway_id, gateway_reconciliation_reason, gateway_reconciliation_status, gateway_response, gateway_response_code, gateway_state, comment, payment_method_id, payout_id, reason_code, reference_id, refund_method_type, refund_number, statement_descriptor, statement_descriptor_phone, state, state_transitions Example: ["id,created_time"] - `account.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, auto_pay, account_number, bill_to_id, sold_to_id, billing_document_settings, communication_profile_id, crm_id, sales_rep, parent_account_id, payment_gateway, payment_terms, remaining_credit_memo_balance, remaining_debit_memo_balance, remaining_invoice_balance, remaining_payment_balance, sequence_set_id, tax_certificate, batch, tax_identifier, bill_cycle_day, description, name, currency, default_payment_method_id, enabled Example: ["id,created_time"] - `payment_method.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, type, account_id, bank_identification_number, device_session_id, ip_address, maximum_payment_attempts, payment_retry_interval, state, use_default_retry_rule, existing_mandate, last_failed_sale_transaction_time, last_transaction_time, last_transaction_status, number_of_consecutive_failures, total_number_of_processed_payments, total_number_of_error_payments, billing_details, card, apple_pay, google_pay, ach_debit, cc_ref, paypal_adaptive, paypal_express_native, paypal_express, sepa_debit, betalings_debit, autogiro_debit, bacs_debit, au_becs_debit, nz_becs_debit, pad_debit Example: ["id,created_time"] - `applied_to.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values id, amount, billing_document_id, billing_document_type Example: ["id,created_time"] - `refund_applied_to_item.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values id, amount, credit_memo_item_id, taxation_item_id Example: ["id,created_time"] - `expand[]` (array) Allows you to expand responses by including related object information in a single call. See the Expand responses section of the Quickstart API Tutorials for detailed instructions. - `filter[]` (array) A case-sensitive filter on the list. See the Filter lists section of the Quickstart API Tutorial for detailed instructions. Note that the filters on this operation are only applicable to the related objects. For example, when you are calling the "Retrieve a billing document" operation, you can use the filter[] parameter on the related objects such as filter[]=items[account_id].EQ:8ad09e208858b5cf0188595208151c63 - `page_size` (integer) The maximum number of results to return in a single page. If the specified page_size is less than 1 or greater than 99, Zuora will return a 400 error. - `refund.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, amount, refund_date, external, gateway_id, gateway_reconciliation_reason, gateway_reconciliation_status, gateway_response, gateway_response_code, gateway_state, comment, payment_method_id, payout_id, reason_code, reference_id, refund_method_type, refund_number, statement_descriptor, statement_descriptor_phone, state, state_transitions Example: ["id,created_time"] ## Path parameters: - `refund_id` (string, required) Identifier for the payment, either refund_number or refund_id ## Header parameters: - `zuora-track-id` (string) A custom identifier for tracking API requests. If you set a value for this header, Zuora returns the same value in the response header. This header enables you to track your API calls to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), or quote ('). - `async` (boolean) Making asynchronous requests allows you to scale your applications more efficiently by leveraging Zuora's infrastructure to enqueue and execute requests for you without blocking. These requests also use built-in retry semantics, which makes them much less likely to fail for non-deterministic reasons, even in extreme high-throughput scenarios. Meanwhile, when you send a request to one of these endpoints, you can expect to receive a response in less than 150 milliseconds and these calls are unlikely to trigger rate limit errors. If set to true, Zuora returns a 202 Accepted response, and the response body contains only a request ID. - `zuora-entity-ids` (string) An entity ID. If you have Multi-entity enabled and the authorization token is valid for more than one entity, you must use this header to specify which entity to perform the operation on. If the authorization token is only valid for a single entity or you do not have Multi-entity enabled, you do not need to set this header. - `idempotency-key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. This idempotency key should be a unique value, and the Zuora server identifies subsequent retries of the same request using this value. For more information, see Idempotent Requests. - `accept-encoding` (string) Include a accept-encoding: gzip header to compress responses, which can reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes. For more information about this header, see Request and Response Compression. - `content-encoding` (string) Include a content-encoding: gzip header to compress a request. Upload a gzipped file for the payload if you specify this header. For more information, see Request and Response Compression. - `zuora-org-ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Response 200 fields (application/json): - `id` (string) - `updated_by_id` (string) Unique identifier of the Zuora user who last updated the object - `updated_time` (string) The date and time when the object was last updated in ISO 8601 UTC format. - `created_by_id` (string) Unique identifier of the Zuora user who created the object - `created_time` (string) The date and time when the object was created in ISO 8601 UTC format. - `custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `custom_objects` (object) The custom objects associated with a Zuora standard object. - `amount` (number) Refund amount. - `description` (string) An arbitrary string attached to the object. Often useful for displaying to users. - `gateway_options` (object) Example: {"key":"value"} - `refund_date` (string) The date when the refund takes effect. - `refund_method_type` (string) Enum: "cash", "check", "wire_transfer", "pay_pal", "credit_card", "cc_ref", "ach_debit", "debit_card", "other" - `payment_id` (string) Identifier for the payment, either payment_number or `payment_id. - `reason_code` (string) User-provided reason for the refund. - `statement_descriptor` (string) A payment gateway-specific field used by Orbital, Vantiv and Verifi. - `statement_descriptor_phone` (string) A payment gateway-specific field used by Orbital, Vantiv and Verifi. - `external` (boolean) If true, indicates that this refund is not handled by Zuora. - `reference_id` (string) Transaction identifier returned by the payment gateway. You may use this field to reconcile refunds between your payment gateway and Zuora Payments. - `second_reference_id` (string) A second transaction identifier returned by the payment gateway if there is an additional transaction for the refunds. You may use this field to reconcile payments between your payment gateway and Zuora Payments. - `bank_account_account` (string) An active account in your Zuora Chart of Accounts. - `on_account_account` (string) An active account in your Zuora Chart of Accounts. - `unapplied_payment_account` (string) An active account in your Zuora Chart of Accounts. - `payment_method_id` (string) Identifier of the payment method used to create this refund. - `account_id` (string) Identifier of the customer this refund is for, if one exists. - `account` (object) The account that owns the refund - `account.id` (string) Unique identifier for the object. - `account.account_number` (string) Human-readable identifier of the account. It can be user-supplied. Example: "A-100001" - `account.billing_document_settings` (object) Billing document settings for an account - `account.billing_document_settings.credit_memo_template_id` (string) Identifier of the credit memo template associated with this customer. Example: "2c92c08b6a8c978f016a9e0084622b62" - `account.billing_document_settings.debit_memo_template_id` (string) Identifier of the debit memo template associated with this customer. Example: "2c92c08c6a8c7e08016a9ec8d72f3ab5" - `account.billing_document_settings.email_documents` (boolean) Whether the customer wants to receive email invoices. Example: "alawrence@zuora.com" - `account.billing_document_settings.print_documents` (boolean) Whether the customer wants to receive printed invoices. - `account.billing_document_settings.invoice_template_id` (string) Identifier of the invoice template associated with this customer. Example: "8f64d4d754739d85d0346e00ef77e50d" - `account.billing_document_settings.additional_email` (array) A list of additional email addresses to receive email notifications. Example: "jdoe@zuora.com" - `account.batch` (string) The identifier of a bill run batch. - `account.bill_cycle_day` (integer) The day of the month on which your customer will be invoiced. For month-end specify 31. - `account.bill_to` (object) Customer billing address. - `account.bill_to.address` (object) Container for the address informtion. - `account.bill_to.address.line1` (string) Address line 1 (e.g., street, PO Box, or company name). Example: "3333 Piedmont Rd NE" - `account.bill_to.address.line2` (string) Address line 2 (e.g., apartment, suite, unit, or building). Example: "Suite 1150" - `account.bill_to.address.city` (string) City, district, suburb, town, or village. Example: "Atlanta" - `account.bill_to.address.state` (string) State or providence Example: "GA" - `account.bill_to.address.country` (string) The country of the contact's address. Example: "United States" - `account.bill_to.address.county` (string) Zuora Tax uses this information to calculate county taxation. - `account.bill_to.address.postal_code` (string) ZIP or postal code. Example: "30305" - `account.bill_to.first_name` (string) Customer first name. Example: "Amy" - `account.bill_to.home_phone` (string) Customer home phone (including extension). Example: "(888)976-9056" - `account.bill_to.last_name` (string) Customer last name. Example: "Lawrence" - `account.bill_to.mobile_phone` (string) Customer phone (including extension). Example: "(888)101-0011" - `account.bill_to.nickname` (string) Nickname for this contact. Example: "Ami" - `account.bill_to.other_phone` (string) Other customer phone (including extension). Example: "(888)100-0001" - `account.bill_to.email` (string) Customer email address. Example: "alawrence@gmail.com" - `account.bill_to.tax_region` (string) A region defined in your Zuora Tax rules. Example: "Georgia" - `account.bill_to.work_email` (string) Customer work email. Example: "alawrence@zuora.com" - `account.bill_to.work_phone` (string) Customer work phone. Example: "(888)976-9056" - `account.bill_to.other_phone_type` (string) The type of the additional phone number. Enum: "work", "mobile", "home", "other" - `account.bill_to.fax` (string) The contact's fax number. - `account.bill_to.account_id` (string) Identifier of a customer account with which this contact is associated. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account.sold_to` (object) Customer address used for calculating tax. - `account.communication_profile_id` (string) Identifier of the communication profile associated with this customer. Example: "2c92c0946a6dffc0016a7faab604299b" - `account.crm_id` (string) CRM account identifier. Example: "1a2b3c4d5e" - `account.default_payment_method_id` (string) Identifier of the default payment method on the customer account. Example: "8a95b1946b6aeac8718c32aab8c395f" - `account.name` (string) The name of the customer account. Example: "test account" - `account.parent_account_id` (string) Identifier of this customer's parent account, if any. Example: "8ad093f27d6eee80017d6effd7a66759" - `account.payment_gateway` (string,null) Payment gateway name. Example: "adyen gateway" - `account.payment_terms` (string) Payment terms configured in Billing Settings > Payment Terms of your Zuora tenant. Example: "Net 30" - `account.sequence_set_id` (string) The identifier or the billing document sequence set that is assigned to the customer account. Example: "2c92a4204a6dffc0016a7faab723041c" - `account.auto_pay` (boolean) Controls whether future payments are automatically billed when they are due. Example: true - `account.tax_certificate` (object) The tax certificate information. - `account.tax_certificate.company_code` (string) Unique code that identifies a company account in Avalara. Use this field to calculate taxes based on country of origin and sold-to addresses in Avalara. Example: "ABC" - `account.tax_certificate.id` (string) Identifier of the tax exemption certificate. - `account.tax_certificate.start_date` (string) The tax certificate start date. Example: "2022-01-01" - `account.tax_certificate.description` (string) Description of the tax exemption certificate. - `account.tax_certificate.entity_use_code` (string) A unique entity use code used by Avalara to apply exemptions. This field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/) for more information. - `account.tax_certificate.end_date` (string) The tax certificate end date. Example: "2023-01-01" - `account.tax_certificate.issuing_jurisdiction` (string) Typically, this is a state or government agency Example: "Georgia" - `account.tax_certificate.state` (string) Status of the tax exemption certificate, indication whether the certificate has been verified. Enum: "pending", "verified", "not_valid" - `account.tax_certificate.tax_identifier` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. Example: "DE123456789" - `account.tax_identifier` (object) An object that contains the VAT Identification number. - `account.tax_identifier.id` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. - `account.currency` (string) Three-letter ISO currency code. Once the currency is set for an account, it cannot be updated. Example: "USD" - `account.sales_rep` (string) The name of the sales representative associated with this account Example: "Max" - `account.enabled` (boolean) Usually used to disable the customer account. The default is true. If false, attempts to create subscriptions for the customer account will fail. Example: true - `account.remaining_debit_memo_balance` (number) Total remaining balance of all posted debit memos. Example: 10 - `account.remaining_invoice_balance` (number) Total remaining balance of all posted invoices. Example: 100 - `account.remaining_credit_memo_balance` (number) Total remaining balance of all posted credit memos. Example: 50 - `account.remaining_payment_balance` (number) Total remaining balance of all posted payments. Example: 20 - `account.bill_to_id` (string) Customer billing address. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account.sold_to_id` (string) Customer address used for calculating tax. Example: "8ad0823f8040e52d0180433026b156fe" - `account.default_payment_method` (object) The default payment method for the customer. - `account.default_payment_method.type` (string) The type of the payment method. An additional hash is included on the payment method with a name matching this value. It contains additional information specific to the payment method type. Enum: "paypal_express", "paypal_express_native", "paypal_adaptive", "card", "cc_ref", "ach_debit", "sepa_debit", "betalings_debit", "autogiro_debit", "bacs_debit", "au_becs_debit", "nz_becs_debit", "pad_debit", "apple_pay", "wire_transfer", "check", "cash", "other", "paypal", "adyen_google_pay", "adyen_apple_pay" - `account.default_payment_method.custom_type` (string) The custom type of the payment method from Universal Payment Connector. - `account.default_payment_method.account_id` (string) A customer account identifier. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account.default_payment_method.account` (object) The customer account associated with this payment method. - `account.default_payment_method.billing_details` (object) Billing information associated with the payment method that may be used or required by specific payment method types. - `account.default_payment_method.billing_details.name` (string) Customer full name or business name. Example: "Amy Lawrence" - `account.default_payment_method.billing_details.address` (object) Address information used in billing details. - `account.default_payment_method.billing_details.address.state` (string) The state, county, province, or region. Example: "GA" - `account.default_payment_method.billing_details.phone` (string) Customer phone (including extension). Example: "(888)976-9056" - `account.default_payment_method.maximum_payment_attempts` (number) Maximum number of consecutive failed retry payment attempts using this payment method before retries are stopped. Example: 6 - `account.default_payment_method.payment_retry_interval` (integer) The retry interval in hours. Example: 3 - `account.default_payment_method.device_session_id` (string) - `account.default_payment_method.ip_address` (string,null) The IP address from which the Mandate was accepted by the customer. Example: "192.10.1.123" - `account.default_payment_method.bank_identification_number` (string) - `account.default_payment_method.card` (object) Credit card information. - `account.default_payment_method.card.brand` (string) Card brand. Enum: "visa", "mastercard", "american_express", "discover", "jcb", "diners" - `account.default_payment_method.card.expiry_month` (number) One or two digit expiration month (1-12) of the credit card. Example: 10 - `account.default_payment_method.card.expiry_year` (number) Two- or four-digit number representing the card's expiration year. Example: 2024 - `account.default_payment_method.card.mandate` (object) The mandate information for the Credit Card, Credit Card Reference Transaction, ACH, or Bank Transfer payment method. - `account.default_payment_method.card.mandate.id` (string) Identifier of the single- or multi-use mandate generated by the payment gateway. - `account.default_payment_method.card.mandate.reason` (string) Reason for the mandate. - `account.default_payment_method.card.mandate.state` (string) The status of the mandate, which indicates whether it can be used to initiate a payment. Enum: "active", "canceled", "expired", "agreed" - `account.default_payment_method.card.last_4` (string) The last four digits of the card number. Example: "2042" - `account.default_payment_method.paypal_express_native` (object) If it is a paypal_express_native payment method, this hash contains details about the PayPal Express Native payment method. - `account.default_payment_method.paypal_express_native.baid` (string, required) Identifier of a PayPal billing agreement. For example, I-1TJ3GAGG82Y9. - `account.default_payment_method.paypal_express_native.email` (string) Email address associated with the payment method. This is required with a paypal_express_checkout or a paypal_adaptive payment method. - `account.default_payment_method.paypal_express` (object) If it is a paypal_express payment method, this hash contains details about the PayPal Express payment method. - `account.default_payment_method.paypal_express.email` (string, required) Email address associated with the payment method - `account.default_payment_method.paypal_adaptive` (object) If it is a paypal_adaptive payment method, this hash contains details about the PayPal Adaptive payment method. - `account.default_payment_method.paypal_adaptive.preapproval_key` (string, required) PayPal preapproval key. Example: "2G4EPFSD" - `account.default_payment_method.paypal_adaptive.email` (string, required) Email address associated with the payment method. Example: "alawrence@zuora.com" - `account.default_payment_method.sepa_debit` (object) If the type of the payment method is sepa_debit, this hash contains details about the SEPA bank account. - `account.default_payment_method.sepa_debit.IBAN` (string, required) International Bank Account Number used to create the SEPA Debit payment method. - `account.default_payment_method.sepa_debit.business_identification_code` (string) The BIC code used with the Sepa Debit payment method. - `account.default_payment_method.cc_ref` (object) If the type of the payment method is cc_ref, this hash contains details about the Credit Card Reference Transactions payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account.default_payment_method.cc_ref.second_token` (string) A gateway unique identifier that replaces sensitive payment method data. This field is conditionally required only when token is being used to represent a gateway customer profile. - `account.default_payment_method.cc_ref.token` (string, required) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. When token is used to represent a customer profile, second_token is conditionally required for representing the underlying tokenized payment method. - `account.default_payment_method.cc_ref.card` (object) - `account.default_payment_method.apple_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account.default_payment_method.apple_pay.card` (object) Credit card information. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Zuora.js instead of interacting with this API directly. - `account.default_payment_method.apple_pay.payment_id` (string) The ID of newly processed payment. Only available in the response of the Create Payment Method API request. - `account.default_payment_method.google_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account.default_payment_method.ach_debit` (object) If the type of the payment method is ach_debit, this hash contains details about the ACH bank account. - `account.default_payment_method.ach_debit.bank_aba_code` (string, required) The nine-digit routing number or ABA number used by banks. - `account.default_payment_method.ach_debit.bank_account_name` (string, required) The name of the account holder, which can be either a person or a company. - `account.default_payment_method.ach_debit.bank_account_type` (string, required) The type of bank account associated with the payment method. Enum: "business_saving", "business_checking", "checking", "saving" - `account.default_payment_method.ach_debit.bank_name` (string, required) Name of the bank associated with this bank account. - `account.default_payment_method.ach_debit.bank_account_number` (string, required) The bank account number of the account holder. - `account.default_payment_method.betalings_debit` (object) If the type of the payment method is betalings_debit, this hash contains details about the Betalingsservice bank account. - `account.default_payment_method.betalings_debit.account_number` (string, required) The bank account number of the account holder. - `account.default_payment_method.betalings_debit.identity_number` (string, required) The identity number used for Betalingsservice (Direct Debit DK). - `account.default_payment_method.betalings_debit.bank_code` (string, required) Identifier of the bank associated with this bank account. - `account.default_payment_method.autogiro_debit` (object) If the type of the payment method is autogiro_debit, this hash contains details about the Autogiro bank account. - `account.default_payment_method.autogiro_debit.identity_number` (string, required) The identity number used for Autogiro (Direct Debit SE). - `account.default_payment_method.autogiro_debit.branch_code` (string, required) Identifier of the bank branch associated with this bank account. - `account.default_payment_method.bacs_debit` (object) If the type of the payment method is bacs_debit,, this hash contains details about the BACS bank account. - `account.default_payment_method.au_becs_debit` (object) If the type of the payment method is au_becs_debit, this hash contains details about the BECS bank account. - `account.default_payment_method.nz_becs_debit` (object) If the type of the payment method is nz_becs_debit, this hash contains details about the BECS-NZ bank account. - `account.default_payment_method.pad_debit` (object) If the type of the payment method is pad_debit, this hash contains details about the PAD bank account. - `account.default_payment_method.state` (string) The state of the payment method. Enum: "active", "closed", "scrubbed" - `account.default_payment_method.auto_generated` (boolean) - `account.default_payment_method.use_default_retry_rule` (boolean) - `account.default_payment_method.existing_mandate` (boolean) - `account.default_payment_method.last_failed_sale_transaction_time` (string) - `account.default_payment_method.last_transaction_time` (string) - `account.default_payment_method.last_transaction_status` (string) - `account.default_payment_method.number_of_consecutive_failures` (integer) - `account.default_payment_method.total_number_of_processed_payments` (integer) - `account.default_payment_method.total_number_of_error_payments` (integer) - `account.billing_documents` (object) List of customer billing documents. - `account.billing_documents.next_page` (string,null) - `account.billing_documents.data` (array) - `account.billing_documents.data.account_id` (string) Identifier of the account that owns the billing document. - `account.billing_documents.data.account_number` (string) Human-readable identifier of the account that owns the billing document. - `account.billing_documents.data.description` (string) An arbitrary string associated with the object. Often useful for displaying to users. - `account.billing_documents.data.due_date` (string) The date on which payment for the billing document is due. Example: "2023-01-01" - `account.billing_documents.data.document_date` (string) The date when the billing document takes effect. Example: "2023-01-01" - `account.billing_documents.data.reason_code` (string) Reason for issuing this billing document. This field is applicable only if the type field is set to credit_memo or debit_memo. - `account.billing_documents.data.invoice_id` (string) The identifier of the invoice billing document from which this credit memo or debit memo billing document is created. This field is applicable only if the type field is set to credit_memo or debit_memo. - `account.billing_documents.data.transfer_to_accounting` (boolean) Whether to transfer to an external accounting system. - `account.billing_documents.data.exclude_from_auto_apply_rules` (boolean) Indicates whether to exclude this credit memo billing document from the rule of automatically applying it to invoices. This field is applicable only if the type field is set to credit_memo. - `account.billing_documents.data.pay` (boolean) Indicates whether the billing document is automatically picked up for processing in the corresponding payment run. - `account.billing_documents.data.type` (string) The type of billing document. Can be one of the credit memo, debit memo, or invoice. Enum: "credit_memo", "debit_memo", "invoice" - `account.billing_documents.data.billing_document_number` (string) A human-readable identifier for the billing document; may be user-supplied. - `account.billing_documents.data.amount_refunded` (number) The amount of this billing document item refunded. - `account.billing_documents.data.state_transitions` (object) - `account.billing_documents.data.state_transitions.posted_time` (string) - `account.billing_documents.data.state_transitions.canceled_time` (string) - `account.billing_documents.data.posted_by_id` (string) Identifier of the Zuora user who posted the billing document. - `account.billing_documents.data.state` (string) The status of the billing document. Enum: "draft", "open", "uncollectible", "failed" - `account.billing_documents.data.account` (object) The account that owns the billing document. EXPANDABLE - `account.billing_documents.data.items` (object) List of billing document items. - `account.billing_documents.data.total` (number) The total amount. - `account.billing_documents.data.subtotal` (number) The total amount exclusive of tax. - `account.billing_documents.data.tax` (number) The total tax amount. - `account.billing_documents.data.remaining_balance` (number) The total balance remaining. - `account.billing_documents.data.amount_paid` (number) The total amount paid. - `account.billing_documents.data.paid` (boolean) Whether payment was successfully collected for this invoice. An invoice can be paid with a payment or a credit memo. - `account.billing_documents.data.past_due` (boolean) Whether payment is past due. - `account.billing_documents.data.balance` (number) The total balance remaining. This field is deprecated. Use remaining_balance field. - `account.payments` (object) List of customer payments. - `account.payment_methods` (object) List of customer payment methods. - `account.subscriptions` (object) List of customer subscriptions. - `account.usage_records` (object) List of customer usages. - `account.credit_memos` (object) List of credit memo - `account.debit_memos` (object) List of debit memo - `account.invoices` (object) List of invoices - `gateway_id` (string) Identifier of the payment gateway that Zuora will use to authorize the payments that are made with this payment method. If you do not set this field, Zuora will use one of the following payment gateways instead: The default payment gateway of the customer account that owns the payment method, if the payment method is associated with a customer account or the default payment gateway of your Zuora tenant. - `comment` (string) Comments about the refund. - `gateway_response` (string) Message returned by the payment gateway for this refund. - `gateway_response_code` (string) Code returned by the payment gateway for this refund. - `gateway_state` (string) The payment gateway state of the refund. Enum: "marked_for_submission", "submitted", "settled", "not_submitted", "failed" - `payment_method` (object) Payment method information. - `refund_number` (string) Human-readable identifier for this object; may be user-supplied. - `state_transitions` (object) The timestamps at which the object's state was updated. - `state_transitions.canceled_time` (string) The date and time (ISO 8601 UTC format) when the refund was canceled. - `state_transitions.refunded_time` (string) - `state` (string) The state of the refund. Enum: "draft", "posted", "processing", "processed", "error", "canceled" - `gateway_reconciliation_reason` (string) Gateway reconciliation reason. - `gateway_reconciliation_status` (string) Gateway reconciliation state. - `payout_id` (string) Identifier of the payout from the payment gateway. - `applied_to` (array) - `applied_to.billing_document_id` (string) Identifier of an invoice or a debit memo. - `applied_to.id` (string) Identifier of the refund application. - `applied_to.billing_document` (object) The related billing document. - `applied_to.amount` (number) The amount of the payment that is applied to the specific billing document item or taxation item. - `applied_to.billing_document_type` (string) The type of billing document. Can be one of the credit memo or invoice. Enum: "credit_memo", "invoice" - `applied_to.payment` (object) - `applied_to.payment.reference_id` (string) Transaction identifier returned by the payment gateway. You may use this field to reconcile payments between your payment gateway and Zuora Payments. - `applied_to.payment.account_id` (string) Identifier of the customer account associated with this payment. - `applied_to.payment.account_number` (string) Human-readable identifier of the account associated with this payment. It can be user-supplied. - `applied_to.payment.amount` (number) The total amount of the payment. - `applied_to.payment.authorization_id` (string) Identifier of the authorization transaction from the payment gateway. - `applied_to.payment.payment_date` (string) The date and time when the payment takes effect. - `applied_to.payment.payment_method_id` (string) Identifier of the payment method used to create this payment. - `applied_to.payment.gateway_id` (string) Identifier of the payment gateway that Zuora will use to authorize this payment. - `applied_to.payment.gateway_order_id` (string) A merchant-specified natural key value that can be passed to the payment gateway when a payment is created. If not specified, the payment number will be passed in instead. - `applied_to.payment.external` (boolean) If true, indicates that this payment is not handled by Zuora. - `applied_to.payment.currency` (string) 3-letter ISO 4217 currency code. - `applied_to.payment.account` (object) The customer account associated with this payment. - `applied_to.payment.amount_applied` (number) The total amount applied. - `applied_to.payment.remaining_balance` (number) The total remaining balance. - `applied_to.payment.amount_refunded` (number) The total amount refunded. - `applied_to.payment.state` (string) The state of the payment. Enum: "draft", "posted", "processing", "processed", "error", "canceled" - `applied_to.payment.payout_id` (string) Identifier of the payout associated with this payment. - `applied_to.payment.payment_number` (string) Human-readable identifier for this object; may be user-supplied. - `applied_to.payment.gateway_response_code` (string) Code returned by the payment gateway for this payment. - `applied_to.payment.gateway_response` (string) Message returned by the payment gateway for this payment. - `applied_to.payment.gateway_state` (string) The payment gateway state of the payment. Enum: "marked_for_submission", "submitted", "settled", "not_submitted", "failed" - `applied_to.payment.payment_schedule_items` (array) - `applied_to.payment.payment_schedule_items.account_id` (string) Unique identifier of the customer account the payment schedule belongs to. Example: "8ad093f27d6eee80017d6effd7a66759" - `applied_to.payment.payment_schedule_items.amount` (number) The amount to be collected by this payment schedule item. - `applied_to.payment.payment_schedule_items.balance` (number) The remaining balance of payment schedule item. - `applied_to.payment.payment_schedule_items.billing_document` (object) The billing document with which the payment schedule is associated. If you have the Standalone Payment feature enabled, you can leave this field blank and set standalone to true to create standalone payments. You can also choose to create unapplied payments by leaving this object blank and setting standalone to false. If Standalone Payment is not enabled, leaving this object unspecified will create unapplied payments. - `applied_to.payment.payment_schedule_items.billing_document.id` (string) Unique identifier of an invoice or debit memo billing document. - `applied_to.payment.payment_schedule_items.billing_document.type` (string) The type of billing document. The default is invoice. Enum: "invoice", "debit_memo" - `applied_to.payment.payment_schedule_items.cancellation_reason` (string) The reason for the cancellation of payment schedule item. - `applied_to.payment.payment_schedule_items.currency` (string) Currency of the payment schedule. The default value is the account's default currency. This field will be ignored when items is specified. Example: "USD" - `applied_to.payment.payment_schedule_items.payment_schedule_item_number` (string) Number of the payment schedule item. - `applied_to.payment.payment_schedule_items.payment_gateway_id` (string) ID of the payment gateway used to collect payments. The default value is the account's default payment gateway ID. If no payment gateway ID is found on the customer account level, the default value will be the tenant's default payment gateway ID. This field will be ignored when items is specified. Example: "8ad093f27d6eee80017d6effd7a66759" - `applied_to.payment.payment_schedule_items.payment_method_id` (string) ID of the payment method. The default value is the account's default payment method ID. This field will be ignored when items is specified. Example: "8a95b1946b6aeac8718c32aab8c395f" - `applied_to.payment.payment_schedule_items.payment_option_id` (string) ID of the payment option. - `applied_to.payment.payment_schedule_items.payment_schedule_id` (string) ID of the payment schedule. - `applied_to.payment.payment_schedule_items.payment_schedule_number` (string) Number of the payment schedule. - `applied_to.payment.payment_schedule_items.payments` (array) - `applied_to.payment.payment_schedule_items.payments.id` (string) Unique identifier of the payment schedule item. - `applied_to.payment.payment_schedule_items.run_hour` (integer) At which hour in the day in the tenant's timezone this payment will be collected. Available values:[0,1,2,~,22,23]. If the time difference between your tenant’s timezone and the timezone where Zuora servers are located is not in full hours, for example, 2.5 hours, the payment schedule items will be triggered half an hour later than your scheduled time. The default value is 0. If the payment run_hour and scheduled_date are backdated, the system will collect the payment when the next run_hour occurs. - `applied_to.payment.payment_schedule_items.scheduled_date` (string) The scheduled date of collection. Example: "2022-01-01" - `applied_to.payment.payment_schedule_items.standalone` (boolean) Indicates whether the payments created by the payment schedule are standalone payments or not. When setting to true, standalone payments will be created. When setting to false, you can either specify a billing document, or not specifying any billing documents. In the later case, unapplied payments will be created. If set to null, standalone payments will be created. Note: This parameter is only available if standalone payments are enabled in your tenant. Do not include this parameter if standalone payment have not been enabled in your tenant. If standalone payments are enabled, the default value is true. - `applied_to.payment.payment_schedule_items.state` (string) The status of the payment schedule item. active: there are unprocessed payment schedule items. canceled: the payment schedule has been canceled. complete: the payment schedule is complete and all items have been processed. Enum: "pending", "canceled", "complete", "error" - `applied_to.payment.payment_schedule_items.error_message` (string) An error message indicating why payment collection failed for this payment schedule item. - `applied_to.payment.payment_schedule_items.payment` (object) List of customer payments. - `applied_to.payment.payment_schedule_items.payment_schedule` (object) Payment schedule record. - `applied_to.payment.payment_schedule_items.payment_schedule.account_number` (string) Account number of the customer account the payment schedule belongs to. - `applied_to.payment.payment_schedule_items.payment_schedule.amount` (number) The amount of each payment schedule item in the payment schedule. - `applied_to.payment.payment_schedule_items.payment_schedule.period` (any) Unit in which term duration is defined. One of week or month. Enum: "week", "month", "biweekly" - `applied_to.payment.payment_schedule_items.payment_schedule.billing_document` (object) The billing document with which the payment schedule is associated. Note: This field is optional. If you have the Standalone Payment feature enabled, you can leave this field blank and set standalone to true to create standalone payments. You can also choose to create unapplied payments by leaving this object blank and setting standalone to false. If Standalone Payment is not enabled, leaving this object unspecified will create unapplied payments. - `applied_to.payment.payment_schedule_items.payment_schedule.currency` (string) Currency of the payment schedule. Note: This field is optional. The default value is the account's default currency. This field will be ignored when items is specified. Example: "USD" - `applied_to.payment.payment_schedule_items.payment_schedule.items` (array) - `applied_to.payment.payment_schedule_items.payment_schedule.number_of_payments` (integer) The number of payment schedule items to be created for this payment schedule. - `applied_to.payment.payment_schedule_items.payment_schedule.payment_gateway_id` (string) ID of the payment gateway used to collect payments. Note: This field is optional. The default value is the account's default payment gateway ID. If no payment gateway ID is found on the customer account level, the default value will be the tenant's default payment gateway ID. This field will be ignored when items is specified. Example: "8ad093f27d6eee80017d6effd7a66759" - `applied_to.payment.payment_schedule_items.payment_schedule.payment_method_id` (string) ID of the payment method. Note: This field is optional. The default value is the account's default payment method ID. This field will be ignored when items is specified. Example: "8a95b1946b6aeac8718c32aab8c395f" - `applied_to.payment.payment_schedule_items.payment_schedule.standalone` (boolean) Indicates whether the payments created by the payment schedule are standalone payments or not. When setting to true, standalone payments will be created. When setting to false, you can either specify a billing document, or not specifying any billing documents. In the latter case, unapplied payments will be created. If set to null, standalone payments will be created. Note: This parameter is only available if standalone payments are enabled in your tenant. The default value is true if standalone payments are enabled in your tenant. - `applied_to.payment.payment_schedule_items.payment_schedule.start_date` (string) The date of the first scheduled payment collection. Note: This parameter is required when items is not specified. This parameter will be ignored when items is specified. Example: "2023-01-01" - `applied_to.payment.payment_schedule_items.payment_schedule.total_amount` (number) The total amount to be collected by the payment schedule. - `applied_to.payment.payment_schedule_items.payment_schedule.custom` (boolean) If it is set to true, the payment schedule is a custom payment schedule. - `applied_to.payment.payment_schedule_items.payment_schedule.next_payment_date` (string) The date of the next scheduled payment. Example: "2022-01-01" - `applied_to.payment.payment_schedule_items.payment_schedule.recent_payment_date` (string) The date of the most recent scheduled payment. Example: "2022-01-01" - `applied_to.payment.payment_schedule_items.payment_schedule.state` (string) The status of the payment schedule. active: there are unprocessed payment schedule items. canceled: the payment schedule has been canceled. complete: the payment schedule is complete and all items have been processed. Enum: "active", "canceled", "complete" - `applied_to.payment.payment_schedule_items.payment_schedule.total_payments_errored` (integer) The total number of failed payments. - `applied_to.payment.payment_schedule_items.payment_schedule.total_payments_processed` (integer) The total number of payments processed. - `applied_to.payment.payment_schedule_items.payment_schedule.payment_options` (array) Container for the payment options, which describe the transactional level rules for processing payments. Currently, only the gateway_options type is supported. Payment schedule payment_options take precedence over payment schedule item payment_options. - `applied_to.payment.payment_schedule_items.payment_schedule.payment_options.detail` (object) Example: {"key":"value"} - `applied_to.payment.payment_schedule_items.payment_schedule.payment_options.type` (boolean) - `applied_to.payment.payment_schedule_items.payment_schedule.prepayment` (boolean) Indicates whether the payments created by the payment schedule will be used as reserved payments. This field will only be available if the prepaid cash drawdown permission is enabled. See Prepaid Cash with Drawdown for more information. - `applied_to.payment.gateway_state_transitions` (object) - `applied_to.payment.gateway_state_transitions.marked_for_submission_time` (string) The date and time (ISO 8601 UTC format) when the payment was marked for submission. - `applied_to.payment.gateway_state_transitions.settled_time` (string) The date and time (ISO 8601 UTC format) when the payment was settled. - `applied_to.payment.gateway_state_transitions.submitted_time` (string) The date and time (ISO 8601 UTC format) when the payment was submitted. - `applied_to.items` (array) The related credit memo item. - `applied_to.items.credit_memo_item_id` (string) Identifier of an invoice or a debit memo item. - `applied_to.items.id` (string) Identifier of the payment application item. - `applied_to.items.amount` (number) The amount of the payment that is applied to the specific billing document item. - `applied_to.items.taxation_item_id` (string) Identifier of a taxation item. ## Response 400 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 401 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 404 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 405 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 429 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 500 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 502 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 503 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 504 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean)